<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getHostname](./bitburner.ns.gethostname.md)

## NS.getHostname() method

Returns a string with the hostname of the server that the script is running on.

**Signature:**

```typescript
getHostname(): string;
```
**Returns:**

string

Hostname of the server that the script runs on.

## Remarks

RAM cost: 0.05 GB

